Package io.vertx.tracing.opentracing

## Class OpenTracingTracerFactory

- java.lang.Object
- - io.vertx.tracing.opentracing.OpenTracingTracerFactory

- All Implemented Interfaces:
    `VertxServiceProvider`, `VertxTracerFactory`

      public class OpenTracingTracerFactory
      extends Object
      implements VertxTracerFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ContextLocal<io.opentracing.Span>` | `ACTIVE_SPAN` |

    - ### Fields inherited from interface io.vertx.core.spi.VertxTracerFactory

      `NOOP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OpenTracingTracerFactory()` |
    `OpenTracingTracerFactory​(io.opentracing.Tracer tracer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OpenTracingOptions` | `newOptions()` | Create an empty tracing options.
    `OpenTracingOptions` | `newOptions​(JsonObject jsonObject)` | Create tracing options from the provided `jsonObject`.
    `VertxTracer` | `tracer​(TracingOptions options)` | Create a new `VertxTracer` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.core.spi.VertxTracerFactory

      `init`

- - ### Field Detail

    - #### ACTIVE_SPAN

          public static final ContextLocal<io.opentracing.Span> ACTIVE_SPAN

  - ### Constructor Detail

    - #### OpenTracingTracerFactory

          public OpenTracingTracerFactory()

    - #### OpenTracingTracerFactory

          public OpenTracingTracerFactory​(io.opentracing.Tracer tracer)

  - ### Method Detail

    - #### tracer

          public VertxTracer tracer​(TracingOptions options)

      Description copied from interface: `VertxTracerFactory`
      Create a new `VertxTracer` object.

      No specific thread and context can be expected when this method is called.
      Specified by:
        `tracer` in interface `VertxTracerFactory`
      Parameters:
        `options` - the metrics configuration option
      Returns:
        the tracing implementation

    - #### newOptions

          public OpenTracingOptions newOptions()

      Description copied from interface: `VertxTracerFactory`
      Create an empty tracing options. Providers can override this method to provide a custom tracing options subclass that exposes custom configuration.
      Specified by:
        `newOptions` in interface `VertxTracerFactory`
      Returns:
        new tracing options

    - #### newOptions

          public OpenTracingOptions newOptions​(JsonObject jsonObject)

      Description copied from interface: `VertxTracerFactory`
      Create tracing options from the provided `jsonObject`. Providers can override this method to provide a custom tracing options subclass that exposes custom configuration.
      Specified by:
        `newOptions` in interface `VertxTracerFactory`
      Parameters:
        `jsonObject` - json provided by the user
      Returns:
        new tracing options